package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 设备属性对象 sys_device_property
 * 
 * @author ruoyi
 * @date 2023-08-17
 */
public class SysDeviceProperty extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long devicePropertyId;

    /** 设备类型 */
    @Excel(name = "设备类型")
    private String deviceType;

    /** 点位 */
    @Excel(name = "点位")
    private String name;

    /** 值 */
    @Excel(name = "值")
    private String value;

    /** 值类型 */
    @Excel(name = "值类型")
    private String valueCalss;

    /** 值变更模式 */
    @Excel(name = "值变更模式")
    private String changeModel;

    /** 值变化 */
    @Excel(name = "值变化")
    private Integer change;

    private String funcId;


    public String getFuncId() {
        return funcId;
    }

    public void setFuncId(String funcId) {
        this.funcId = funcId;
    }

    public void setDevicePropertyId(Long devicePropertyId)
    {
        this.devicePropertyId = devicePropertyId;
    }

    public Long getDevicePropertyId() 
    {
        return devicePropertyId;
    }
    public void setDeviceType(String deviceType) 
    {
        this.deviceType = deviceType;
    }

    public String getDeviceType() 
    {
        return deviceType;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setValue(String value) 
    {
        this.value = value;
    }

    public String getValue() 
    {
        return value;
    }
    public void setValueCalss(String valueCalss) 
    {
        this.valueCalss = valueCalss;
    }

    public String getValueCalss() 
    {
        return valueCalss;
    }
    public void setChangeModel(String changeModel) 
    {
        this.changeModel = changeModel;
    }

    public String getChangeModel() 
    {
        return changeModel;
    }
    public void setChange(Integer change) 
    {
        this.change = change;
    }

    public Integer getChange() 
    {
        return change;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("devicePropertyId", getDevicePropertyId())
            .append("deviceType", getDeviceType())
            .append("name", getName())
            .append("value", getValue())
            .append("valueCalss", getValueCalss())
            .append("changeModel", getChangeModel())
            .append("change", getChange())
            .toString();
    }
}
